<div class="grid mx-6">
  <div class="col-12">
    <h1 style="text-align: center">TÉCNICOS</h1>
  </div>

  <div class="col-12">
    <p-table
      #tableTecnicos
      [value]="g.tecn_arr"
      selectionMode="single"
      [paginator]="true"
      [loading]="g.buscandoWS"
      [rowHover]="true"
      [rows]="10"
      styleClass="p-datatable-sm"
      dataKey="seqTecnico"
      [globalFilterFields]="['Nome']"
      currentPageReportTemplate="Mostrando de {first} a {last} de {totalRecords} técnicos"
      [showCurrentPageReport]="true"
    >
      <ng-template pTemplate="caption">
        <div class="p-d-flex">
          <span class="p-input-icon-left p-ml-auto">
            <i class="pi pi-search"></i>
            <input
              type="text"
              class="col-12"
              pInputText
              (input)="
                tableTecnicos.filterGlobal(
                  $any($event.target).value,
                  'contains'
                )
              "
              placeholder="Buscar"
            />
          </span>
        </div>
      </ng-template>
      <ng-template pTemplate="header">
        <tr>
          <th>Código</th>
          <th>Nome</th>
          <th>Telefone</th>
        </tr>
      </ng-template>
      <ng-template pTemplate="body" let-tecnico>
        <tr [pSelectableRow]="tecnico">
          <td>{{ tecnico.seqTecnico }}</td>
          <td>{{ tecnico.Nome }}</td>
          <td>{{ tecnico.Telefone }}</td>
        </tr>
      </ng-template>
    </p-table>
  </div>
</div>
